package com.citygis.web.dataEncrypt.service;


import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.dataEncrypt.domain.JiaMi;

public interface JiaMiService {

    //表字段加密
    AjaxResult handleEncryption(JiaMi jiaMi) throws Exception;

    //更新字段值
    int updateEncryption(String idColumn, String tableName, String column, Long id, String encryString);

    AjaxResult dataCompleteness(String tableName, String idColumn);

    AjaxResult verifyDataCompleteness(String tableName, String idColumn);

}
